/*
* "Oh, all right, you can also give me a hand down into the gaping 
* hell-maw that has opened under my front step." - Rinda
* Used only in the ending sequence.
*/
"use strict";

var GO_HellMaw = function(){
	this.sprite = new Sprite(GO_HellMaw.spriteSheet,"HellMaw");
	this.sprite.collision_flags = 0;
	//sprite.constraints=constraints;
	
	this.sprite.game_object = this; // no longer a generic GO
	this.sprite.visible=false;

	this.countdown = 15;
};
GO_HellMaw.spriteImg = SDS_Load_Image("art/sheets/sprite/hellmaw.png");
GO_HellMaw.spriteSheet = new TileSheet(5, 5, 0, 0, GO_HellMaw.spriteImg);

GO_HellMaw.prototype = new GameObject(
	new Sprite(
		GO_HellMaw.spriteSheet,
		"HellMaw"
	),
	"HellMaw"
	);

	GO_HellMaw.prototype.interactions = 0;

	GO_HellMaw.prototype.Update = function(){
		if (this.countdown){
			--this.countdown;
			if (!this.countdown) this.sprite.visible = true;
		}
	}



